extends Node

@export var visible_for_others: bool = false

func _ready() -> void:
	get_parent().visible = (get_multiplayer_authority() != multiplayer.get_unique_id()) == visible_for_others

func reverse() -> void:
	get_parent().visible = not get_parent().visible
